<div
  [ngClass]="{
    'w-full grid gap-1': true,
    'relative grid-cols-10 grid-rows-2 gallery h-gallery 2xl:h-2gallery mb-8':
      !galOpen,
    more: media.length > 5 && !galOpen,
    'fixed overflow-scroll top-0 left-0 bg-white py-10 w-full h-screen': galOpen
  }"
  #galleryCont
  style="z-index: 100"
>
  <div
    *ngFor="let image of media"
    [ngClass]="{ 'w-full bg-odb-100': galOpen }"
    (click)="openGallery(galleryCont)"
  >
    <img
      [src]="image.uri"
      [alt]="image.description"
      [ngClass]="{
        'w-11/12 max-w-7xl m-auto': galOpen,
        'w-full h-full object-cover cursor-zoom-in': !galOpen
      }"
    />
  </div>
  <span
    ngClass="absolute top-3/4 mt-10 w-full lg:max-w-screen-xl 2xl:max-w-screen-2xl justify-self-center"
    *ngIf="!galOpen"
    (click)="toggleGallery(galleryCont)"
  >
    <span
      class="bg-white py-2 px-5 rounded block w-fit m-auto sm:ml-2 text-odb-400 drop-shadow-xl cursor-pointer hover:bg-odb-100 transition-all"
    >
      <i class="bi bi-image-fill mr-1"></i>
      {{ media.length }} fotos</span
    >
  </span>
</div>
<div
  class="fixed top-0 right-0 w-screen bg-white flex flex-row justify-end p-1 py-2"
  style="z-index: 100"
  *ngIf="galOpen"
>
  <span
    class="py-1 px-2 mr-2 block w-fit text-odb-500 cursor-pointer font-bold flex flex-row items-center rounded hover:bg-gray-200"
    (click)="toggleGallery(galleryCont)"
  >
    <i class="bi bi-x-lg mr-2"></i>
    Cerrar
  </span>
</div>
